extern "C"
__global__ void k_initRand( curandState *state )
{
	int id = blockIdx.x * blockDim.x + threadIdx.x;
	
	/* Each thread gets the same seed, a different sequence 
	   number, and no offset */
	curand_init( 1234, id, 0, &state[id] );
}
